                     Computer  Science 481/681
                        Quiz 8  -         Name ________________________

1. Which of the following network api system calls can be used to
   specify that you wish to receive ONLY those udp packets that arrive
   using the local_host 127.0.0.1 address?

   a. bind                       b. select

   c. connect                    d. reject

2. Which of the following network api system calls can be used to
   specify that you wish to receive ONLY those udp packets that arrive
   from a specific remote IP address?

   a. bind                       b. select

   c. connect                    d. reject

3. Which of the following is NOT a reason put forth by telephone
   companies to convince you that it is not possible to do multimedia
   teleconferencing over IP.

   a. Connectionless transports can't   b. IP's occasional packet loss
      reserve bandwidth and thus           is fatal for audio conferencing
      can't guarantee service levels.

   c. Even when throughput is adequate
      IP's high response time variance
      make its use unsuitable.

4. Which of the following is NOT a reason put forth by IP bigots
   to convince you that it is not possible to do multimedia
   teleconferencing over the telephone.

   a. Its generally hard to join a    b.The number of required connections
      conference call already in        scales as N^2 where N is the
      progress.                         number of participants.

   c. The bit error rates of ATM/
      Sonet links are too high.


5. The number of possible IP multicast addresses is closest to

   a. 2 ^ 32                          b. 2 ^28

   c. 2^  24                          d. 24


6. Suppose an IP multicast carries the (hex) address:
   e8.ec.21.34. What ethernet address will be used when it is transported
   on a LAN.



7. The use of the ethernet multicast address mapping scheme as opposed to
   ethernet broadcast was designed to reduce the number of packets
   (assume ALL hosts have SOME multicast traffic, but that all hosts
    don't listen to the SAME multicast.)

   a. The number of packets sent     b. The number of packets handled
      over the ethernet.                by the receiving link driver

   c. The number of packets handled  d. All of the above
      by the receiving IP


8. For multicast to be able to work correctly, a protocol like IGMP
   is needed on:

   a. A single isolated ethernet     b. A collection of ethernets
                                        connected by routers.

   c. An isoloated host.


9. The MOSPF protocol is a form of

   a. distance-vector protocol       b. link state protocol

10. The protocol responsible for routing across the MBONE and is
    implemented in mrouted is called

    a. MOSPF                           b. DVMRP

    c. IGMP


11. DNS replaced a naming service based on the distribution of the
    hosts.txt file. Identify 2 serious problems that led to the demise
    of the hosts.txt scheme.

    a.



    b.
